#!/bin/sh
cmd=$1; shift
netns=$1; shift

wg-dxld "$cmd" dxldv6 "$netns"

case $cmd in
	up)
		ip link add link enp4s0 name enp4s0.4 netns "$netns" \
		   address 26:c4:07:00:00:02 type vlan id 4
		ip link add link enp4s0 name lan netns "$netns" \
		   address 02:5d:26:75:68:4a type macvlan mode bridge

		# Don't intall default route from RA or else wg-dxld
		# default route will conflict
		ip netns exec "$netns" sysctl net.ipv6.conf.lan.accept_ra_defrtr=0

		ip -netns "$netns" addr add dev lan 10.10.10.148/24
		ip -netns "$netns" link set dev lan up
		;;
	down)
		ip -netns "$netns" link del enp4s0.4
		ip -netns "$netns" link del lan
		;;
esac
